System requirements for Office 2016 for Mac

The following table lists the minimum requirements for installing Word, Excel, PowerPoint, Outlook, and OneNote 2016 for Mac:


Minimum Requirement

Operating System

Mac OS X 10.10 or later

Exchange Server version

Note: This requirement is only for Outlook for Mac customers connecting to Exchange.

Connectivity to Microsoft Exchange Server 2010 Service Pack 2 or later

Share Facebook Facebook Twitter Twitter Email Email

Was this information helpful?

Great! Any other feedback?

How can we improve it?

Thank you for your feedback!